
import 'package:action_widget/ui/components/event_widget_anim.dart';
import 'package:action_widget/ui/components/listener_widget.dart';
import 'package:flutter/material.dart';


// ignore: must_be_immutable
class ExamplePage extends StatefulWidget{

  ExamplePage({Key key, this.title}) : super(key: key);

  final String title;
  ExamplePageState examplePageState;

  @override
  State<StatefulWidget> createState() {
    examplePageState = ExamplePageState();
    return examplePageState;
  }

}

//implementation interface action
class ExamplePageState extends State<ExamplePage> with ActionListenerWidget {

  ExamplePageState();

  Container container;

  @override
  void initState() {
    super.initState();
    container = _container();
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(

      appBar: AppBar(
        title: Text(widget.title),
      ),
      body: Center(
        //animation listener widget
        child: EventWidgetAnim(child: container,
          actionListener: this,),
      ),
    );
  }
    Container _container() {
      return Container(
        key: Key("id_container"),
        color: Colors.grey,
        height: 50,
        width: 200,
      );
    }

    @override
    void manageTapClick(String value) {
      // TODO: implement manageTapClick
      switch (value) {
        case "id_container":
        // TODO: add your flow
          break;
      }
    }
}
